### Method

# FwupdPlugin UdevDevice set_io_channel

since: 1.9.8

#### Declaration [src]

    void
    fu_udev_device_set_io_channel (
      FuUdevDevice* self,
      FuIOChannel* io_channel
    )

#### Description [src]

Replace the IO channel to use when the device has already been opened. This object will automatically unref `io_channel` when `fu_device_close()` is called.

Available since: 1.9.8

#### Parameters

`io_channel`

  Type: `FuIOChannel`

  A `FuIOChannel`.

  The data is owned by the caller of the method.